"<!DOCTYPE html>\n"
"<html lang=\"en\">\n"
"\n"
"<head>\n"
"    <title>FORTUNE COOKIE – C</title>\n"
"    <meta charset=\"UTF-8\">\n"
"    <link rel=\"preconnect\" href=\"https://fonts.googleapis.com\">\n"
"    <link rel=\"preconnect\" href=\"https://fonts.gstatic.com\" crossorigin>\n"
"    <link href=\"https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,400;0,700;1,400;1,700&display=swap\" rel=\"stylesheet\">\n"
"    <style>\n"
"        * {\n"
"            /* Language color from\n"
"             https://github.com/doda/github-language-colors/blob/master/colors.json */\n"
"            color: #555555;\n"
"            font-family: 'Lato', sans-serif;\n"
"            font-size: x-large;\n"
"        }\n"
"\n"
"        hr {\n"
"            border: 1px solid #555555;\n"
"        }\n"
"\n"
"        #main {\n"
"            width: 80%;\n"
"        }\n"
"    </style>\n"
"</head>\n"
""
"<body>\n"
"    <div id=\"main\">\n"
"  <svg width=\"283\" height=\"85\">\n"
"    <g>\n"
"      <path\n"
"        d=\"M58.71,54.144a14.949,14.949,0,0,1,11.305,4.972l-1.488,1.4a12.677,12.677,0,0,0-9.817-4.335,12.891,12.891,0,0,0-13.131,13.3A12.881,12.881,0,0,0,58.71,82.743a12.63,12.63,0,0,0,9.859-4.419l1.531,1.4a14.909,14.909,0,0,1-11.39,5.056,15.32,15.32,0,1,1,0-30.639Zm16.186.509h2.209V82.234H89.854v2.04H74.9Zm31-.509A15.32,15.32,0,1,1,90.6,69.485,15.087,15.087,0,0,1,105.9,54.144Zm0,28.557a12.826,12.826,0,0,0,13.046-13.216,13.089,13.089,0,1,0-26.176,0A12.87,12.87,0,0,0,105.9,82.7Zm20.806-28.048h2.21V74.244c0,5.525,3.23,8.5,8.329,8.5s8.329-2.974,8.329-8.5V54.653h2.21v19.8c0,6.714-4.377,10.326-10.539,10.326s-10.539-3.612-10.539-10.326Zm28.476,0h8.965c9.477,0,15.3,6.036,15.3,14.832s-5.779,14.789-15.256,14.789h-9.008Zm8.839,27.581c8.541,0,13.173-5.185,13.173-12.749,0-7.607-4.632-12.792-13.216-12.792H157.39V82.234Z\"\n"
"        fill=\"#0d3047\" />\n"
"      <path\n"
"        d=\"M14.974.672.157,36.16H6.878l2.9-7.077H25.564l2.9,7.077h6.72L20.371.672ZM11.766,23.838,17.672,9.379l5.906,14.459ZM52.349.672H38.806V36.16H45.17V23.736h7.179a11.532,11.532,0,1,0,0-23.064Zm-.3,17.311H45.17V6.425h6.874a5.483,5.483,0,0,1,5.549,5.805A5.5,5.5,0,0,1,52.044,17.983ZM74.3,23.736h7.179a11.532,11.532,0,1,0,0-23.064H67.933V36.16H74.3Zm0-17.311h6.874A5.483,5.483,0,0,1,86.72,12.23a5.5,5.5,0,0,1-5.549,5.753H74.3Zm51.235,16.141c0,9.469-6.364,14.154-14.358,14.154-8.045,0-14.409-4.685-14.409-14.154V.672h6.364V21.9c0,6.313,3.208,9.062,8.045,9.062,4.786,0,7.994-2.749,7.994-9.062V.672h6.364ZM137.291,36.16h-6.109V10.5h6.109Zm.561-32.28A3.641,3.641,0,1,1,134.237.265,3.63,3.63,0,0,1,137.852,3.88ZM160.32,36.873c10.437,0,18.787-7.943,18.787-18.381A18.766,18.766,0,1,0,160.32,36.873Zm0-31.058a12.411,12.411,0,0,1,12.474,12.677,12.475,12.475,0,1,1-24.948,0A12.381,12.381,0,0,1,160.32,5.815Z\"\n"
"        fill=\"#0d3047\" />\n"
"      <path\n"
"        d=\"M279.056.7H201.1a4.252,4.252,0,0,0-4.252,4.252V61.9a4.252,4.252,0,0,0,4.252,4.252h38.979V83.8l17.655-17.655h21.319a4.252,4.252,0,0,0,4.252-4.252V4.952A4.252,4.252,0,0,0,279.056.7Z\"\n"
"        fill=\"#ffd200\" />\n"
"    </g>\n"
"  </svg>\n"
"        <h1>Fortune cookie of the day #<span id=\"number\">%d</span></h1>\n"
"\n"
"        <p id=\"message\" style=\"white-space: pre-wrap\">%s</p>\n"
"\n"
"        <hr>\n"
"\n"
"        <p>Version %s – %s</p>\n"
"    </div>\n"
"<script>\n"
"const duration = 10_000\n"
"const message = document.getElementById('message')\n"
"const number = document.getElementById('number')\n"
"const headers = new Headers()\n"
"headers.append('Accept', 'application/json')\n"
"\n"
"const fetchFortune = async () => {\n"
"    const response = await fetch('/', {\n"
"        method: 'GET',\n"
"        headers: headers\n"
"    })\n"
"    const fortune = await response.json()\n"
"    message.innerText = fortune.message\n"
"    number.innerText = fortune.number\n"
"    clearTimeout(timeout)\n"
"    timeout = setTimeout(fetchFortune, duration)\n"
"}\n"
"\n"
"document.addEventListener('keydown', async function(event) {\n"
"  if (event.code == 'KeyR') {\n"
"    event.preventDefault()\n"
"    await fetchFortune()\n"
"  }\n"
"})\n"
"\n"
"let timeout = setTimeout(fetchFortune, duration)\n"
"</script>\n"
"\n"
"</body>\n"
"\n"
"</html>\n"
"\n"
